> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/submit-a-payin/mexico/virtual-spei/usage.md).

# Check Usage of Virtual SPEI Account

## Payin by SPEI

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/virtual-account/spei/usage`

This endpoint allows you to check usage of virtual SPEI account.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                        | Type   | Description                                                  |
| ------------------------------------------- | ------ | ------------------------------------------------------------ |
| app\_id<mark style="color:red;">\*</mark>   | string | <p>created app's id at dashboard</p><p>- Max. 32 chars -</p> |
| timestamp<mark style="color:red;">\*</mark> | string | <p>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</p>              |

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "used": 2000,
    "unused": 1000
}
```

{% endtab %}

{% tab title="400 account pool run out" %}

<pre><code>{
<strong>    "code": "40002",
</strong>    "msg": "Business Failed",
    "sub_code": "account-pool-run-out",
    "sub_msg": "account pool run out"
}
</code></pre>

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/virtual-account/spei/usage' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "162************38",
    * "timestamp": "2022-01-01 03:54:01"
      }'
```

{% hint style="info" %}
Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
